---
sidebar_position: 5
title: iperf3
---

### Установка

*deb дистрибутивы:
```bash
apt install iperf3
```

*CentOs дистрибутивы:
```bash
dnf install iperf3
```

*Windows системы: [ссылка](https://iperf.fr/iperf-download.php#windows)


### Запуск сервера

Простой вариант:
```bash
iperf3 –s
# Server listening on 5201
```
`-s` - Серверный режим

:::tip
Можно запустить iperf сервер с большим размером TCP окна и на другом порту:
```bash
iperf3 -s -w 32768 –p 5203
```
`-w 32768` – размер TCP окна в 32 KB (по умолчанию около 8 Кб)\
`–p 5203` – порт, на котором ожидает подключения iperf.
:::


### Клиент

Клиент начинает работать ещё проще:
```bash
iperf3 -c 127.0.0.1
```

:::tip
Если вы запустили сервер iperf с увеличенным размером TCP окна, вы можете использовать следующую команду для получения максимальной нагрузки на сеть:

```bash
iperf3.exe -c 192.168.1.202 -P 8 -t 30 -w 32768 -i 5 -f g
```

`-w 32768` — увеличиваем размер TCP окна.\
`-t 30` – время в секундах, в течении которого выполняется тестирование. (по умолчанию 10 секунд)\
`-P 8` — число параллельных потоков (подключений), используется для получения максимальной нагрузки на канал.\
`-i 5` – выводить статистику на экран каждые 5 секунд.\
`-f m` — выводить результаты в Мбит/с.
:::

### Полезные ссылки

- [iperf.fr](https://iperf.fr/) - офф сайт
- [losst.pro](https://losst.pro/kak-polzovatsya-iperf) - гайд
- [winitpro.ru](https://winitpro.ru/index.php/2014/11/05/testirovanie-propusknoj-sposobnosti-seti-s-iperf/) - гайд
